
.btn {
    color: $white;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    font-size: size-rel(12px);
    line-height: size-rel(22px);
    padding: size-rel(15px) size-rel(32px);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    background: $accent;
    border: 1px solid $accent;
    border-radius: 0;

    svg {
        fill: #000;
    }

    &:hover {
        color: $accent;
        background: $white;
        text-decoration: none;

        svg {
            fill: #000;
        }

    }

    &:active {
        color: $white;
        background: $accent;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    @include media-breakpoint-up(lg) {
        font-weight: 600;
        font-size: size-rel(14px);
        line-height: size-rel(22px);
    }
}

.btn-white {
    color: $accent;
    background: $white;

    &:hover {
        color: $primary;
        background: $white;
        border-color: $primary;
    }
}


.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-block;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}
